/*
* Author:          Patrick-Christopher Mattulat
* Co-Author:       Claude Sonnet 4.6 (LLM)
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2024-05-30
* Changed:         2026-06-23
*
* */

#include <gtest/gtest.h>
#include <ls-std/ls-std-event.hpp>

using ls::standard::event::EventParameter;
using testing::Test;

namespace
{
  class EventParameterTest : public Test
  {
    public:

      EventParameterTest() = default;
      ~EventParameterTest() override = default;
  };

  TEST_F(EventParameterTest, addParameter)
  {
    auto parameter = EventParameter();
    ASSERT_TRUE(parameter.get().empty());

    parameter.addParameter("blue");
    ASSERT_EQ(1, parameter.get().size());
    ASSERT_STREQ("blue", parameter.get().front().c_str());
  }

  TEST_F(EventParameterTest, get)
  {
    ASSERT_TRUE(EventParameter().get().empty());
  }
}
